public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Viorel Munteanu" <ceamac@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: games-emulation/dosbox-x/
Date: Tue,  6 Dec 2022 06:09:07 +0000 (UTC)	[thread overview]
Message-ID: <1670263265.b010132352bb0f511b673b208ce080af29023b9a.ceamac@gentoo> (raw)

commit:     b010132352bb0f511b673b208ce080af29023b9a
Author:     Yuan Liao <liaoyuan <AT> gmail <DOT> com>
AuthorDate: Mon Dec  5 18:01:05 2022 +0000
Commit:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Mon Dec  5 18:01:05 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=b0101323

games-emulation/dosbox-x: Enable unit tests

Signed-off-by: Yuan Liao <liaoyuan <AT> gmail.com>

 games-emulation/dosbox-x/dosbox-x-2022.08.0.ebuild | 8 ++++++++
 games-emulation/dosbox-x/dosbox-x-9999.ebuild      | 8 ++++++++
 2 files changed, 16 insertions(+)

diff --git a/games-emulation/dosbox-x/dosbox-x-2022.08.0.ebuild b/games-emulation/dosbox-x/dosbox-x-2022.08.0.ebuild
index 55b6b1acc..396f0023f 100644
--- a/games-emulation/dosbox-x/dosbox-x-2022.08.0.ebuild
+++ b/games-emulation/dosbox-x/dosbox-x-2022.08.0.ebuild
@@ -25,6 +25,8 @@ LICENSE="GPL-2"
 SLOT="0"
 
 IUSE="X debug ffmpeg fluidsynth freetype opengl png slirp"
+# Unit tests are only available in debug builds
+RESTRICT="!debug? ( test )"
 
 BDEPEND="
 	dev-lang/nasm
@@ -151,6 +153,12 @@ src_compile() {
 	emake AR="$(tc-getAR)"
 }
 
+src_test() {
+	set -- src/dosbox-x -tests
+	echo "${@}" >&2
+	"${@}" || die "Unit tests failed"
+}
+
 pkg_preinst() {
 	xdg_pkg_preinst
 

diff --git a/games-emulation/dosbox-x/dosbox-x-9999.ebuild b/games-emulation/dosbox-x/dosbox-x-9999.ebuild
index 3fb2d9f29..fba8467c0 100644
--- a/games-emulation/dosbox-x/dosbox-x-9999.ebuild
+++ b/games-emulation/dosbox-x/dosbox-x-9999.ebuild
@@ -25,6 +25,8 @@ LICENSE="GPL-2"
 SLOT="0"
 
 IUSE="X debug ffmpeg fluidsynth freetype opengl png slirp"
+# Unit tests are only available in debug builds
+RESTRICT="!debug? ( test )"
 
 BDEPEND="
 	dev-lang/nasm
@@ -118,6 +120,12 @@ src_compile() {
 	emake AR="$(tc-getAR)"
 }
 
+src_test() {
+	set -- src/dosbox-x -tests
+	echo "${@}" >&2
+	"${@}" || die "Unit tests failed"
+}
+
 pkg_preinst() {
 	xdg_pkg_preinst
 


             reply	other threads:[~2022-12-06  6:09 UTC|newest]

Thread overview: 31+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-12-06  6:09 Viorel Munteanu [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-03 19:42 [gentoo-commits] repo/proj/guru:master commit in: games-emulation/dosbox-x/ Julien Roy
2024-12-15 18:10 Julien Roy
2024-12-15 18:10 Julien Roy
2024-12-15 18:10 Julien Roy
2024-12-15 18:10 Julien Roy
2024-10-07  9:06 David Roman
2024-10-07  9:06 David Roman
2024-07-31 22:49 Lucio Sauer
2024-04-27 12:09 Julien Roy
2024-03-02  7:10 Arthur Zamarin
2024-02-08  9:29 David Roman
2023-11-09  3:11 Haelwenn Monnier
2023-10-08 20:58 David Roman
2023-10-08 20:58 David Roman
2023-09-03 12:27 Haelwenn Monnier
2023-08-21 12:43 Haelwenn Monnier
2023-04-01 21:30 Haelwenn Monnier
2023-04-01 21:30 Haelwenn Monnier
2023-03-16  8:41 Florian Schmaus
2022-12-27  8:05 Viorel Munteanu
2022-12-27  8:05 Viorel Munteanu
2022-12-27  8:05 Viorel Munteanu
2022-12-16 16:39 Florian Schmaus
2022-12-16 16:39 Florian Schmaus
2022-10-07 13:13 Arthur Zamarin
2022-09-08  1:46 Ronny Gutbrod
2022-08-24 15:52 Ronny Gutbrod
2022-08-02 10:55 Haelwenn Monnier
2022-08-02 10:55 Haelwenn Monnier
2022-07-05  7:14 Florian Schmaus

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1670263265.b010132352bb0f511b673b208ce080af29023b9a.ceamac@gentoo \
    --to=ceamac@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox